Subject: Re: bug#55068: 29.0.50; crashes when trying to set default font

From: Gregor Zattler <[email-masked]>
Date: Sun, 24 Apr 2022 12:34:27 +0200

Hi Po,
* Po Lu <[email-masked]> [2022-04-23; 18:43]:
> Gregor Zattler <[email-masked]> writes:
>
>> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
>> x_menu_show (f=0x555556143800, x=301, y=458, menuflags=0, title=XIL(0x7ffff02d86ec), error_name=0x7fffffffc078) at xmenu.c:1816
>> 1816      specpdl_ref specpdl_count = SPECPDL_INDEX ();
>
> I don't see how SPECPDL_INDEX can actually segfault like this.  Please
> show a backtrace with Emacs built with checking and without
> optimizations, as detailed in etc/DEBUG.

I read this file and tried to follow it.  At the end of the
bug report there is info on how this instance of Emacs was
configured for building.  Isn't

Configured using:
 'configure -C --prefix=/usr/local/stow/emacs-snapshot
[...]
 --enable-checking=yes,glyphs --enable-check-lisp-object-type
 --with-native-compilation 'CFLAGS=-g3 -O0
[...]

the right result?  Should I disable native compilation?

> The output of (mouse-generate-font-menu) run on your system would also
> be helpful.

Sure.  I learned about the C-0 prefix key for C-x C-e to
show unabbreviated output.  I also learned about
so-long-mode, but this line is too long.  I therefore attach
the output as a xz compressed file, because displaying it in
Emacs bogs Emacs down.

Ciao; Gregor
--
 -... --- .-. . -.. ..--.. ...-.-